
export const TOOLTIP_CUSTOM_PROPERTY = 'tooltip';
export const TOOLTIP_ATTRIBUTE = 'qmstooltip';
export const HTML_ATTRIBUTE = 'data-qmstooltip';
export const HTML_CLASS = 'qms-tooltip';
export const HTML_ELEMENT = 'abbr';

export const CK4_HTML_ATTRIBUTE = 'title';
export const CK4_HTML_CLASS = 'source-info';

export const TOOLTIP_COMMANDS = {
	TOOLTIP_DIALOG: 'tooltipdialog',
	TOOLTIP: 'tooltip',
	REMOVE_TOOLTIP: 'removetooltip'
}


export function isTooltipElement(node) {
	return node.is('attributeElement') && !!node.getCustomProperty(TOOLTIP_CUSTOM_PROPERTY);
}
  
 
export function isImageAllowed(element, schema) {
	if (!element) {
		return false;
	}

	return element.is('element', 'image') && schema.checkAttribute('image', TOOLTIP_ATTRIBUTE);
}
 